lpr(1)

NOME
lpr - imprime ficheiros

RESUMO
lpr [ -H server[:port] ] [ -E ] [ -U username ] [ -P destination[/instance] ] [ -# num-copies [ -h ] [ -l ] [ -m ] [ -o option[=value] ] [ -p ] [ -q ] [ -r ] [ -C title ] [ -J title ] [ -T title ] [ file(s) ]

DESCRIÇÃO
lpr submete ficheiros para impressão. Os ficheiros nomeados na linha de comandos são enviados para a impressora nomeada ou para o destino predefinido se não for especificado um destino. Se nenhum ficheiro for listado na linha de comandos. o lpr lê o ficheiro de impressão a partir da entrada standard.

  O DESTINO PREDEFINIDO
CUPS fornece muitas maneiras de definir o destino predefinido. As variáveis de ambiente LPDEST e PRINTER são consultadas primeiro. Se nenhuma estiver definida, é usada a predefinição actual definida usando o co,mando lpoptions(1), seguindo-se pela predefinição definida usando o comando lpadmin(8).

OPÇÕES
As seguintes opções são reconhecidas pelo lpr:

-E  Força encriptação ao ligar ao servidor.

-H server[:port]
    Especifica um servidor alternativo. Nota: Esta opção tem de ocorrer antes de todas as outras.

-C "name"

-J "name"

-T "name"
    Define o nome/título do trabalho.

-P destination[/instance]
    Imprime ficheiros na impressora nomeada.

-U username
    Especifica um nome de utilizador alternativo.

-# copies
    Define o número de cópias a imprimir.

-h  desactiva a impressão do banner. Esta opção é equivalente a -o job-sheets=none.

-l  Especifica que o ficheiro de impressão já está formado para o destino e deve ser enviado sem filtragem. Esta opção é equivalente a -o raw.

-m  Envia um email na conclusão do trabalho.

-o option[=value]
    Define uma opção de trabalho. Veja "OPÇÕES DE TRABALHO COMUNS" em baixo.

-p  Especifica que o ficheiro de impressão deve ser formatado com um cabeçalho sombreado com a data, hora, nome do trabalho, e número de página. Esta opção é equivalente a -o prettyprint e é apenas útil quando se imprime ficheiros de texto.

-q  Retém um trabalho para impressão.

-r  Especifica que os ficheiros de impressão nomeados devem ser apagados após serem submetidos.

  OPÇÕES DE TRABALHO COMUNS
A parte das opções específicas da impressora reportadas pelo comando lpoptions(1), estão disponíveis as seguintes opções genéricas:

-o job-sheets=name
    Imprime uma página capa (banner) com o documento. O "name" pode ser "classified", "confidential", "secret", "standard", "topsecret", ou "unclassified".

-o media=size
    Define o tamanho de papel para size. A maioria das impressoras suportam pelo menos os nomes de tamanho "a4", "letter", e "legal".

-o number-up={2|4|6|9|16}
    Imprime 2, 4, 6, 9, ou 16 páginas (entrada) do documento em cada página de saída.

-o orientation-requested=4
    Imprime o trabalho em paisagem (rodado 90 graus no sentido contrário aos ponteiros do relógio).

-o orientation-requested=5
    Imprime o trabalho em paisagem (rodando 90 graus no sentido dos ponteiros do relógio).

-o orientation-requested=6
    Imprime o trabalho em retrato reverso (rodado 180 graus).

-o print-quality=3

-o print-quality=4

-o print-quality=5
    Especifica a qualidade de resultado - draft (3), normal (4), ou best (5).

-o sides=one-sided
    Imprime em um lado do papel.

-o sides=two-sided-long-edge
    Imprime em ambos lados do papel em saída retrato.

-o sides=two-sided-short-edge
    Imprime em ambos lados do papel em saída paisagem.

NOTAS
As opções -c, -d, -f, -g, -i, -n, -t, -v, e -w não são suportadas pelo CUPS e produzem uma mensagem de aviso se forem usadas.

EXEMPLOS
Imprimir duas cópias dum documento na impressora predefinida:

    lpr -# 2 filename

Imprimir um documento legal de duplo-tamanho numa impressora chamada "foo":

    lpr -P foo -o media=legal -o sides=two-sided-long-edge filename

Imprimir um documento de apresentação 2-up numa impressora chamada "foo":

    lpr -P foo -o number-up=2 filename

VEJA TAMBÉM
cancel(1), lp(1), lpadmin(8), lpoptions(1), lpq(1), lprm(1), lpstat(1), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.